# Create a price

Creates a new [Price](https://docs.stripe.com/api/prices.md) for an existing [Product](https://docs.stripe.com/api/products.md). The Price can be recurring or one-time.

## Request

```curl
curl https://api.stripe.com/v1/prices \
  -u "<<YOUR_SECRET_KEY>>" \
  -d currency=usd \
  -d unit_amount=1000 \
  -d "recurring[interval]=month" \
  -d "product_data[name]=Gold Plan"
```

### Response

```json
{
  "id": "price_1MoBy5LkdIwHu7ixZhnattbh",
  "object": "price",
  "active": true,
  "billing_scheme": "per_unit",
  "created": 1679431181,
  "currency": "usd",
  "custom_unit_amount": null,
  "livemode": false,
  "lookup_key": null,
  "metadata": {},
  "nickname": null,
  "product": "prod_NZKdYqrwEYx6iK",
  "recurring": {
    "interval": "month",
    "interval_count": 1,
    "trial_period_days": null,
    "usage_type": "licensed"
  },
  "tax_behavior": "unspecified",
  "tiers_mode": null,
  "transform_quantity": null,
  "type": "recurring",
  "unit_amount": 1000,
  "unit_amount_decimal": "1000"
}
```

## Returns

The newly created `Price` object is returned upon success. Otherwise, this call raises [an error](https://docs.stripe.com/api/errors.md).

## Parameters

- `currency` (enum, required)
  Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

- `active` (boolean, optional)
  Whether the price can be used for new purchases. Defaults to `true`.

- `billing_scheme` (enum, optional)
  Describes how to compute the price per period. Either `per_unit` or `tiered`. `per_unit` indicates that the fixed amount (specified in `unit_amount` or `unit_amount_decimal`) will be charged per unit in `quantity` (for prices with `usage_type=licensed`), or per unit of total usage (for prices with `usage_type=metered`). `tiered` indicates that the unit pricing will be computed using a tiering strategy as defined using the `tiers` and `tiers_mode` attributes.
Possible enum values:
  - `per_unit`
  - `tiered`

- [`currency_options`](https://docs.stripe.com/api/prices/create.md?query=currency_options) (map, optional)
  Prices defined in each available currency option. Each key must be a three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html) and a [supported currency](https://docs.stripe.com/currencies.md).

- [`custom_unit_amount`](https://docs.stripe.com/api/prices/create.md?query=custom_unit_amount) (object, Required unless unit_amount is provided)
  When set, provides configuration for the amount to be adjusted by the customer during Checkout Sessions and Payment Links.

- `lookup_key` (string, optional)
  A lookup key used to retrieve prices dynamically from a static string. This may be up to 200 characters.

  The maximum length is 200 characters.

- `metadata` (map, optional)
  Set of [key-value pairs](https://docs.stripe.com/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

- `nickname` (string, optional)
  A brief description of the price, hidden from customers.

- `product` (string, required unless product_data is provided)
  The ID of the [Product](https://docs.stripe.com/api/products.md) that this [Price](https://docs.stripe.com/api/prices.md) will belong to.

- [`product_data`](https://docs.stripe.com/api/prices/create.md?query=product_data) (object, required unless product is provided)
  These fields can be used to create a new product that this price will belong to.

- [`recurring`](https://docs.stripe.com/api/prices/create.md?query=recurring) (object, optional)
  The recurring components of a price such as `interval` and `usage_type`.

- `tax_behavior` (enum, recommended if calculating taxes)
  Only required if a [default tax behavior](https://docs.stripe.com/tax/products-prices-tax-categories-tax-behavior.md#setting-a-default-tax-behavior-\(recommended\)) was not provided in the Stripe Tax settings. Specifies whether the price is considered inclusive of taxes or exclusive of taxes. One of `inclusive`, `exclusive`, or `unspecified`. Once specified as either `inclusive` or `exclusive`, it cannot be changed.
Possible enum values:
  - `exclusive`
  - `inclusive`
  - `unspecified`

- [`tiers`](https://docs.stripe.com/api/prices/create.md?query=tiers) (array of objects, Required if billing_scheme=tiered)
  Each element represents a pricing tier. This parameter requires `billing_scheme` to be set to `tiered`. See also the documentation for `billing_scheme`.

- `tiers_mode` (enum, Required if billing_scheme=tiered)
  Defines if the tiering price should be `graduated` or `volume` based. In `volume`-based tiering, the maximum quantity within a period determines the per unit price, in `graduated` tiering pricing can successively change as the quantity grows.

- `transfer_lookup_key` (boolean, optional)
  If set to true, will atomically remove the lookup key from the existing price, and assign it to this price.

- [`transform_quantity`](https://docs.stripe.com/api/prices/create.md?query=transform_quantity) (object, optional)
  Apply a transformation to the reported usage or set quantity before computing the billed price. Cannot be combined with `tiers`.

- `unit_amount` (integer, Required conditionally)
  A positive integer in the smallest currency unit (or 0 for a free price) representing how much to charge. One of `unit_amount`, `unit_amount_decimal`, or `custom_unit_amount` is required, unless `billing_scheme=tiered`.

- `unit_amount_decimal` (string, optional)
  Same as `unit_amount`, but accepts a decimal value in the smallest currency unit with at most 12 decimal places. Only one of `unit_amount` and `unit_amount_decimal` can be set.
